locked
Cannot install - "Cannot read TFS Integration Tools database version number" RRS feed

  • Question

  • I am trying to install TFS Integration Tools by connecting to an existing database.  When I click "next" on the install wizard step that asks for the database server I get the error message:

    Cannot read TFS Integration Tools database version number

    The database is SQL 2005 (version 9.0.5292).  I do have admin rights to it and can otherwise connect, create databases, tables, etc.

    Tuesday, September 25, 2012 12:04 AM

Answers

  • Hi, we had a very similar problem with SQL Server 2012. It turned out that a database was already installed on the server called TFS_IntegrationPlatform. After deleting this database the tool installed correctly.

    Sunday, July 28, 2013 10:00 PM

All replies

  • Hi SaSSafraS_LTK,

    Thanks for your post!

    How do you specify the database instance? From the comment on this, it seems that it is not supported for SQL Server 2005.

    Please refer to the following blog and see if it helps:

    http://blogs.msdn.com/b/willy-peter_schaub/archive/2011/08/18/tfs-integration-tools-what-can-i-specify-for-the-sql-server-when-installing.aspx

    Hope it helps!

    Best Regards,


    Cathy Kong [MSFT]
    MSDN Community Support | Feedback to us

    Tuesday, September 25, 2012 9:17 AM
    Moderator
  • I am not specifying an instance for the database server.  It is the default (and only) instance on that server.
    Tuesday, September 25, 2012 3:56 PM
  • Hi, we had a very similar problem with SQL Server 2012. It turned out that a database was already installed on the server called TFS_IntegrationPlatform. After deleting this database the tool installed correctly.

    Sunday, July 28, 2013 10:00 PM